package com.reyun.service;

import com.reyun.model.Account;
import com.reyun.model.IntelligentPath;
import net.sf.json.JSONObject;

import java.util.List;

/**
 * Created by sunhao on 17/7/18.
 * desc:智能路径service interface
 */
public interface IntelligentPathService {

    IntelligentPath createIntelligentPath(Account loginAccount, IntelligentPath intelligentPath);

    IntelligentPath updateIntelligentPath(Account loginAccount, IntelligentPath intelligentPath);

    List<IntelligentPath> listIntelligentPath(Account loginAccount, Long appId);

    boolean deleteIntelligentPath(Account loginAccount, Long intelligentPathId);

    JSONObject queryIntelligentPath(Account loginAccount, IntelligentPath intelligentPath);

    boolean checkIntelligentPathName(Long accountId, Long id, Long appId, String name);

}
